#version 430

layout (location=0) in vec3 vertexPosition;
layout (location=1) in vec3 vertexCol;
out vec3 color;

uniform float g_time;

void main() {
  color = vertexCol;
  gl_Position = vec4(vertexPosition*3.0+vec3(0.50*cos(-g_time*0.2), 0.50*sin(g_time*0.15), 0.0), 1.0);
  gl_Position.z += 0.99990;
}


